| Home | Libraries | People | FAQ | More

##### any_connection_params::ssl_context

An external SSL context containing options to configure TLS.

###### Synopsis

    asio::ssl::context* ssl_context {};

###### Description

Relevant only for SSL connections (those that result on `any_connection::uses_ssl` returning `true`).

If the connection is configured to use TLS, an internal `asio::ssl::stream` object will be created. If this member is set to a non-null value, this internal object will be initialized using the passed context. This is the only way to configure TLS options in `any_connection`.

If the connection is configured to use TLS and this member is `nullptr`, an internal `asio::ssl::context` object with suitable default options will be created.

###### Object lifetimes

If set to non-null, the pointee object must be kept alive until all `any_connection` objects constructed from `*this` are destroyed.